Search documentation of polar_express

# PolarExpress.Events.CustomerSeatClaimed (polar_express v0.1.5)

Copy Markdown View Source

Webhook event for `customer_seat.claimed`.

Sent when a customer seat is claimed.

This event is triggered when a customer accepts the seat invitation and claims their access.

The `data` field contains a `PolarExpress.Schemas.CustomerSeat` struct.

## Summary

### Types

t()

### Functions

event_type()

Returns the event type string.

## Types

# t()

    @type t() :: %PolarExpress.Events.CustomerSeatClaimed{
      data: PolarExpress.Schemas.CustomerSeat.t(),
      timestamp: String.t(),
      type: String.t()
    }

- `type` - Always `"customer_seat.claimed"`.
- `data` - The event payload. See `PolarExpress.Schemas.CustomerSeat`.
- `timestamp` - ISO 8601 timestamp of when the event occurred.

## Functions

# event_type()

    @spec event_type() :: String.t()

Returns the event type string.